Index: aim.c
===================================================================
--- aim.c	(revision 34509d514dfa9ee441febffc6d61e108962d1507)
+++ aim.c	(revision 9854278fd0ac47586e8157e1efa798dd2583d81e)
@@ -948,5 +948,5 @@
   
   if (modname) {
-    if (!(filename = owl_malloc(strlen(priv->aimbinarypath)+1+strlen(modname)+4+1))) {
+    if (!(filename = malloc(strlen(priv->aimbinarypath)+1+strlen(modname)+4+1))) {
       /* perror("memrequest: malloc"); */
       return -1;
@@ -954,5 +954,5 @@
     sprintf(filename, "%s/%s.ocm", priv->aimbinarypath, modname);
   } else {
-    if (!(filename = owl_malloc(strlen(priv->aimbinarypath)+1+strlen(defaultmod)+1))) {
+    if (!(filename = malloc(strlen(priv->aimbinarypath)+1+strlen(defaultmod)+1))) {
       /* perror("memrequest: malloc"); */
       return -1;
@@ -964,5 +964,5 @@
     if (!modname) {
       /* perror("memrequest: stat"); */
-      owl_free(filename);
+      free(filename);
       return -1;
     }
@@ -986,5 +986,5 @@
     int i;
     
-    owl_free(filename); /* not needed */
+    free(filename); /* not needed */
     owl_function_error("getaimdata memrequest: recieved invalid request for 0x%08lx bytes at 0x%08lx (file %s)\n", len, offset, modname);
     i = 8;
@@ -993,5 +993,5 @@
     }
     
-    if (!(buf = owl_malloc(i))) {
+    if (!(buf = malloc(i))) {
       return -1;
     }
@@ -1017,6 +1017,6 @@
     *buflenret = i;
   } else {
-    if (!(buf = owl_malloc(len))) {
-      owl_free(filename);
+    if (!(buf = malloc(len))) {
+      free(filename);
       return -1;
     }
@@ -1024,15 +1024,15 @@
     if (!(f = fopen(filename, "r"))) {
       /* perror("memrequest: fopen"); */
-      owl_free(filename);
-      owl_free(buf);
+      free(filename);
+      free(buf);
       return -1;
     }
     
-    owl_free(filename);
+    free(filename);
     
     if (fseek(f, offset, SEEK_SET) == -1) {
       /* perror("memrequest: fseek"); */
       fclose(f);
-      owl_free(buf);
+      free(buf);
       return -1;
     }
@@ -1041,5 +1041,5 @@
       /* perror("memrequest: fread"); */
       fclose(f);
-      owl_free(buf);
+      free(buf);
       return -1;
     }
@@ -1076,5 +1076,5 @@
   if (priv->aimbinarypath && (getaimdata(sess, &buf, &buflen, offset, len, modname) == 0)) {
     aim_sendmemblock(sess, fr->conn, offset, buflen, buf, AIM_SENDMEMBLOCK_FLAG_ISREQUEST);
-    owl_free(buf);
+    free(buf);
   } else {
     owl_function_debugmsg("faimtest_memrequest: unable to use AIM binary (\"%s/%s\"), sending defaults...\n", priv->aimbinarypath, modname);
@@ -1342,10 +1342,10 @@
       int z;
       
-      newbuf = owl_malloc(i+1);
+      newbuf = malloc(i+1);
       for (z = 0; z < i; z++)
 	newbuf[z] = (z % 10)+0x30;
       newbuf[i] = '\0';
       /* aim_send_im(sess, userinfo->sn, AIM_IMFLAGS_ACK | AIM_IMFLAGS_AWAY, newbuf); */
-      owl_free(newbuf);
+      free(newbuf);
     }
   } else if (strstr(tmpstr, "seticqstatus")) {
Index: cmd.c
===================================================================
--- cmd.c	(revision 34509d514dfa9ee441febffc6d61e108962d1507)
+++ cmd.c	(revision 6922eddf979a8bdbf46a21cad138b787a7719f46)
@@ -74,5 +74,5 @@
   owl_cmd *cmd;
 
-  tmpbuff=owl_strdup(cmdbuff);
+  tmpbuff=strdup(cmdbuff);
   argv=owl_parseline(tmpbuff, &argc);
   if (argc < 0) {
Index: config.h.in
===================================================================
--- config.h.in	(revision e23eb2b7a8b842ee6ac86fc356ffe7831757dd87)
+++ config.h.in	(revision 03cf6b91158dd0823c7329b8c4b0a28d3748b5e6)
@@ -22,4 +22,7 @@
 #undef HAVE_LIBCOM_ERR
 
+/* Define to 1 if you have the `curses' library (-lcurses). */
+#undef HAVE_LIBCURSES
+
 /* Define to 1 if you have the `des425' library (-ldes425). */
 #undef HAVE_LIBDES425
@@ -36,4 +39,7 @@
 /* Define to 1 if you have the `krb5' library (-lkrb5). */
 #undef HAVE_LIBKRB5
+
+/* Define to 1 if you have the `ncurses' library (-lncurses). */
+#undef HAVE_LIBNCURSES
 
 /* Define to 1 if you have the `ncursesw' library (-lncursesw). */
Index: configure.in
===================================================================
--- configure.in	(revision e23eb2b7a8b842ee6ac86fc356ffe7831757dd87)
+++ configure.in	(revision 18e28a410181648e32a57fac7edf9942a364a49d)
@@ -12,6 +12,4 @@
 fi
 
-m4_include(/usr/share/aclocal/pkg.m4)
-dnl m4_include(pkg.m4)
 
 dnl Check for Athena
@@ -46,5 +44,7 @@
 fi
 
-AC_CHECK_LIB(ncursesw, initscr,, AC_MSG_ERROR(No curses library found.))
+AC_CHECK_LIB(ncursesw, initscr,,
+  AC_CHECK_LIB(ncurses, initscr,,
+    AC_CHECK_LIB(curses, initscr,, AC_MSG_ERROR(No curses library found.))))
 AC_CHECK_LIB(com_err, com_err)
 AC_CHECK_LIB(nsl, gethostbyname)
@@ -109,13 +109,4 @@
 LDFLAGS=${LDFLAGS}\ ${FOO}
 
-dnl Add CFLAGS and LDFLAGS for glib-2.0
-PKG_CHECK_MODULES(GLIB,glib-2.0)
-
-echo Adding glib-2.0 CFLAGS ${GLIB_CFLAGS}
-CFLAGS=${CFLAGS}\ ${GLIB_CFLAGS}
-echo Adding glib-2.0 LDFLAGS ${GLIB_LIBS}
-LDFLAGS=${LDFLAGS}\ ${GLIB_LIBS}
-
-
 dnl Checks for typedefs, structures, and compiler characteristics.
 
